// AD9835 generator test
// 8.10.2018, Arduino v1.8.7
//---------------------------------------------------------------------------------------------------------
#include "ad9835.h"

#define FSYNC  8
#define CLK    9
#define DATA   10
#define FXTAL  66666826              // F_MCLK is 66,666 MHz

AD9835 ad9835(FSYNC, CLK, DATA);     // Arduino pins to FSYNC, CLK, DATA

uint32_t rx = 10000000;              // test 10 MHz
//---------------------------------------------------------------------------------------------------------
void setup() {
  ad9835.init(FXTAL);
  ad9835.set_freq(rx);
}
//---------------------------------------------------------------------------------------------------------
void loop() {
}
